## org.apache.cocoon.interpreter.java
Class JavaInstance

    java.lang.Object
      |
      +--org.apache.cocoon.interpreter.java.JavaInstance

All Implemented Interfaces:
  Instance

public class JavaInstance
extends java.lang.Object
implements Instance

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:27 $
Author:
  Ricardo Rocha

Constructor Summary
`JavaInstance(java.lang.Object theInstance, java.util.Hashtable theMethods)`

Method Summary
`void` `destroy()`
`java.lang.Object` `getInstance()`
`org.w3c.dom.Node` `invoke(java.lang.String methodName, java.util.Dictionary parameters, org.w3c.dom.Node source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaInstance

    public JavaInstance(java.lang.Object theInstance,
                        java.util.Hashtable theMethods)
                 throws LanguageException

Method Detail

### getInstance

    public java.lang.Object getInstance()

  Specified by:
    `getInstance` in interface `Instance`

### invoke

    public org.w3c.dom.Node invoke(java.lang.String methodName,
                                   java.util.Dictionary parameters,
                                   org.w3c.dom.Node source)
                            throws LanguageException

  Specified by:
    `invoke` in interface `Instance`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Instance`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.